#!/bin/sh
# Copyright IBM Corp. 2000-2001

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Wizard Update Installer Application Launcher
#----------------------------------------------------------------------------------
echo "TC-I-PERMISSION: change file permissions for scripts" >> postinstall.log
chmod -R a+x /home/thinkcontrol/tools/fp2/*.*

echo "update-I-signature" >> postinstall.log
#decide it's TIO or TPM
sed -e 's/  */ /g' /home/thinkcontrol/config/ui.xml > /tmp/ui$$
grep -e "<!-- <configuration id='think-provision'/> -->" /tmp/ui$$ > /tmp/temp$$

if [ $? -ne 0 ]; then
	echo "product-I-detected: Tivoli Provisioning Manager" >> postinstall.log
	if [ -f /home/thinkcontrol/config/TIOSignature.xml ]; then
		rm -f /home/thinkcontrol/config/TIOSignature.xml >> postinstall.log 2>&1
	fi
	if [ -f /home/thinkcontrol/config/TPMSignature.xml ]; then
		rm -f /home/thinkcontrol/config/TPMSignature.xml >> postinstall.log 2>&1
	fi
	cp -f /tmp/utils/TPMSignature.xml /home/thinkcontrol/config/
	
	/home/thinkcontrol/tools/fp2/tpm_setup.sh  /home/thinkcontrol/tools/fp2/tpm_files.txt /home/thinkcontrol/tools/fp2/tpm_setup.log
	
else
	echo "product-I-detected: Tivoli Intelligent Orchestrator" >> postinstall.log 
	if [ -f /home/thinkcontrol/config/TPMSignature.xml ]; then
		rm -f /home/thinkcontrol/config/TPMSignature.xml >> postinstall.log 2>&1
	fi
	if [ -f /home/thinkcontrol/config/TIOSignature.xml ]; then
		rm -f /home/thinkcontrol/config/TIOSignature.xml >> postinstall.log 2>&1
	fi
	cp -f /tmp/utils/TIOSignature.xml /home/thinkcontrol/config/
fi
rm -f /tmp/temp$$
rm -f /tmp/ui$$ 

echo "update-I-user-factory" >> postinstall.log 
echo "check the version" >> postinstall.log 
#check the format
temp=/tmp/temp$$
version_file=/tmp/version$$
if [ ! `grep "build.number=U" "/home/thinkcontrol/config/build-version.properties"` ]; then
	echo this is not the fixpack version >> postinstall.log 2>&1
else 	
	rm -f /home/thinkcontrol/config/build-version.properties
	cp -f /tmp/utils/build-version.properties /home/thinkcontrol/config/build-version.properties
	grep 'build.number' /home/thinkcontrol/config/build-version.properties | sed -e 's/build.number=U//' > $temp
	cat $temp | cut -d _ -f1 > $version_file
	version=`cat $version_file`
	rm -f $version_file >> postinstall.log 2>&1
	if [ $version -gt 788 ]; then
		current_dir=`dirname $0`
		[ "$current_dir" = "." ] && current_dir=`pwd`

		#need unzip utility
		which unzip > $temp
		if [ `grep "not found" $temp` ]; then
			echo "no unzip utility installed, user-factory.xml is not updated, please update it manually and redeploy the tcje.ear file" >> postinstall.log 
			rm -f $temp
			exit 1
		fi

		#get the latest undo.jar in backup dir
		ls -t /home/thinkcontrol/properties/version/backup | grep jar | head -1 > $temp
		jar_name=`cat $temp`

		cd $current_dir
		#get the old user-factory.xml
		unzip -o /home/thinkcontrol/properties/version/backup/$jar_name /config/user-factory.xml -d . >> postinstall.log 2>&1
		mv -f $current_dir/config/user-factory.xml /tmp/user-factory.xml

		# process the old file 
		old_file=/tmp/user-factory.xml
		TC__LDAPHOST=`grep '<server>' $old_file | sed -e 's^\(.*\)<server>\(.*\)</server>\(.*\)^\2^'` 
		TC__LDAPDOMAIN=`grep '<root>' $old_file | sed -e 's^\(.*\)<root>\(.*\)</root>\(.*\)^\2^'` 
		TC__LDAPPRINCIPAL=`grep '<principal>' $old_file | sed -e 's^\(.*\)<principal>\(.*\)</principal>\(.*\)^\2^'`
		TC__LDAPPRINCIPWDEEE=`grep '<credentials>' $old_file | sed -e 's^\(.*\)<credentials>\(.*\)</credentials>\(.*\)^\2^'`
		TC__LDAPUSER=`grep '<internal-user>' $old_file | sed -e 's^\(.*\)<internal-user>\(.*\)</internal-user>\(.*\)^\2^'`
		TC__LDAPPWDEEE=`grep '<internal-password>' $old_file | sed -e 's^\(.*\)<internal-password>\(.*\)</internal-password>\(.*\)^\2^'`
 
		# replace the variables in new file with the old values 
		new_file=/home/thinkcontrol/config/user-factory.xml
		if [ ! "`grep 'TC__' $new_file`" ]; then 
			echo "this configuaration file does not need to be replaced" >> postinstall.log 
		else
			grep 'TC__' $new_file |sed -e 's/.*\(TC__[A-Z]*\).*/\1/g' |\
			while read TC_VAR
			do
				eval TC_VAL=\$$TC_VAR
				sed -e "s/$TC_VAR/$TC_VAL/g" $new_file > $temp
				cp -f $temp $new_file
				rm -f $temp
				
				#echo "/$TC_VAR/
				#s/$TC_VAR/$TC_VAL/
				#wq" | ex $new_file
			done

			#hardcode for bug 6570
			sed -e 's^<principal>root</principal>^<principal>tioldap</principal>^' $new_file > $temp
			mv -f $temp $new_file
			sed -e 's^<credentials>.*</credentials>^<credentials>8zLQrjH640c=</credentials>^' $new_file > $temp
			mv -f $temp $new_file
  		fi
	fi
fi

echo "TC-I-OWNERSHIP: changing file ownership to tioadmin" >> postinstall.log
group_id=`id tioadmin|cut -f2 -d" "|sed -e's/.*(\(.*\)).*/\1/'`
chown -R tioadmin:$group_id /home/thinkcontrol >> postinstall.log 2>&1
if [ $? -ne 0 ]; then 
	echo " TC-E-OWNERSHIP: NEED TO CHANGE FILE OWNERSHIP IN HOME DIRECTORY" >> postinstall.log
fi


